org.apache.ignite.internal.util.typedef

## Class CIX2<E1,E2>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteInClosure2X<E1,E2>
  - - org.apache.ignite.internal.util.typedef.CIX2<E1,E2>

All Implemented Interfaces:
  Serializable, IgniteBiInClosure<E1,E2>

    public abstract class CIX2<E1,E2>
    extends IgniteInClosure2X<E1,E2>

Defines `alias` for `IgniteInClosure2X` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteInClosure2X`.

See Also:
  `GridFunc`, `IgniteInClosure2X`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CIX2()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.IgniteInClosure2X

`apply, applyx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CIX2

    public CIX2()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021